Public Member Functions | Private Member Functions | Private Attributes | List of all members
libabw::ABWZlibStream Class Reference

`#include <ABWZlibStream.h>`

Inheritance diagram for libabw::ABWZlibStream:

## Public Member Functions
| ABWZlibStream (librevenge::RVNGInputStream *input)
| ~ABWZlibStream () override
bool | isStructured () override
unsigned | subStreamCount () override
const char * | subStreamName (unsigned) override
bool | existsSubStream (const char *) override
librevenge::RVNGInputStream * | getSubStreamByName (const char *) override
librevenge::RVNGInputStream * | getSubStreamById (unsigned) override
const unsigned char * | read (unsigned long numBytes, unsigned long &numBytesRead) override
int | seek (long offset, librevenge::RVNG_SEEK_TYPE seekType) override
long | tell () override
bool | isEnd () override
unsigned long | getSize () const

## Private Member Functions
| ABWZlibStream (const ABWZlibStream &)
ABWZlibStream & | operator= (const ABWZlibStream &)

## Private Attributes
librevenge::RVNGInputStream * | m_input
volatile long | m_offset
std::vector< unsigned char > | m_buffer

## Constructor & Destructor Documentation

## ◆ ABWZlibStream() [1/2]

libabw::ABWZlibStream::ABWZlibStream | ( | librevenge::RVNGInputStream * | input | ) |

## ◆ ~ABWZlibStream()

libabw::ABWZlibStream::~ABWZlibStream | ( |  | ) |
| inline override

## ◆ ABWZlibStream() [2/2]

libabw::ABWZlibStream::ABWZlibStream | ( | const ABWZlibStream & |  | ) |
| private

## Member Function Documentation

## ◆ existsSubStream()

bool libabw::ABWZlibStream::existsSubStream | ( | const char * |  | ) |
| inline override

## ◆ getSize()

unsigned long libabw::ABWZlibStream::getSize | ( |  | ) | const
| inline

## ◆ getSubStreamById()

librevenge::RVNGInputStream* libabw::ABWZlibStream::getSubStreamById | ( | unsigned |  | ) |
| inline override

## ◆ getSubStreamByName()

librevenge::RVNGInputStream* libabw::ABWZlibStream::getSubStreamByName | ( | const char * |  | ) |
| inline override

## ◆ isEnd()

bool libabw::ABWZlibStream::isEnd | ( |  | ) |
| override

## ◆ isStructured()

bool libabw::ABWZlibStream::isStructured | ( |  | ) |
| inline override

## ◆ operator=()

ABWZlibStream& libabw::ABWZlibStream::operator= | ( | const ABWZlibStream & |  | ) |
| private

## ◆ read()

const unsigned char * libabw::ABWZlibStream::read | ( | unsigned long | numBytes,
|  | unsigned long & | numBytesRead
| ) |  |
| override

## ◆ seek()

int libabw::ABWZlibStream::seek | ( | long | offset,
|  | librevenge::RVNG_SEEK_TYPE | seekType
| ) |  |
| override

## ◆ subStreamCount()

unsigned libabw::ABWZlibStream::subStreamCount | ( |  | ) |
| inline override

## ◆ subStreamName()

const char* libabw::ABWZlibStream::subStreamName | ( | unsigned |  | ) |
| inline override

## ◆ tell()

long libabw::ABWZlibStream::tell | ( |  | ) |
| override

## Member Data Documentation

## ◆ m_buffer

std::vector<unsigned char> libabw::ABWZlibStream::m_buffer
| private

Referenced by ABWZlibStream(), getSize(), isEnd(), read(), and seek().

## ◆ m_input

librevenge::RVNGInputStream* libabw::ABWZlibStream::m_input
| private

Referenced by ABWZlibStream(), isEnd(), read(), seek(), and tell().

## ◆ m_offset

volatile long libabw::ABWZlibStream::m_offset
| private

Referenced by isEnd(), read(), seek(), and tell().

The documentation for this class was generated from the following files:

- ABWZlibStream.h
- ABWZlibStream.cpp